For a complete page index, fetch https://docs.synthflow.ai/llms.txt. For full documentation content, fetch https://docs.synthflow.ai/llms-full.txt.

# Create a phone book entry

POST https://api.synthflow.ai/v2/phonebooks/{phone_book_id}/entries
Content-Type: application/json

Reference: https://docs.synthflow.ai/api-reference/platform-api/phone-books/create-a-phone-book-entry

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Synthflow APIs
  version: 1.0.0
paths:
  /phonebooks/{phone_book_id}/entries:
    post:
      operationId: create-a-phone-book-entry
      summary: Create a phone book entry
      tags:
        - ''
      parameters:
        - name: phone_book_id
          in: path
          description: Phone book ID.
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/createAPhoneBookEntry_Response_200'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                phone_number:
                  type: string
                transfer_condition:
                  type: string
              required:
                - phone_number
                - transfer_condition
servers:
  - url: https://api.synthflow.ai/v2
  - url: https://api.us.synthflow.ai/v2
components:
  schemas:
    PhonebooksPhoneBookIdEntriesPostResponsesContentApplicationJsonSchemaResponse:
      type: object
      properties:
        key:
          type: string
      title: >-
        PhonebooksPhoneBookIdEntriesPostResponsesContentApplicationJsonSchemaResponse
    createAPhoneBookEntry_Response_200:
      type: object
      properties:
        status:
          type: string
        response:
          $ref: >-
            #/components/schemas/PhonebooksPhoneBookIdEntriesPostResponsesContentApplicationJsonSchemaResponse
      title: createAPhoneBookEntry_Response_200
  securitySchemes:
    sec0:
      type: http
      scheme: bearer

```

## SDK Code Examples

```python
import requests

url = "https://api.synthflow.ai/v2/phonebooks/a19da8ff-c89e-4628-94b6-d81193f883c6/entries"

payload = {
    "phone_number": "+12025551234",
    "transfer_condition": "When the caller asks for a sales representative"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.synthflow.ai/v2/phonebooks/a19da8ff-c89e-4628-94b6-d81193f883c6/entries"

	payload := strings.NewReader("{\n  \"phone_number\": \"+12025551234\",\n  \"transfer_condition\": \"When the caller asks for a sales representative\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.synthflow.ai/v2/phonebooks/a19da8ff-c89e-4628-94b6-d81193f883c6/entries")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"phone_number\": \"+12025551234\",\n  \"transfer_condition\": \"When the caller asks for a sales representative\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.synthflow.ai/v2/phonebooks/a19da8ff-c89e-4628-94b6-d81193f883c6/entries")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"phone_number\": \"+12025551234\",\n  \"transfer_condition\": \"When the caller asks for a sales representative\"\n}")
  .asString();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.synthflow.ai/v2/phonebooks/a19da8ff-c89e-4628-94b6-d81193f883c6/entries");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"phone_number\": \"+12025551234\",\n  \"transfer_condition\": \"When the caller asks for a sales representative\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "phone_number": "+12025551234",
  "transfer_condition": "When the caller asks for a sales representative"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.synthflow.ai/v2/phonebooks/a19da8ff-c89e-4628-94b6-d81193f883c6/entries")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```